Last transaction of the address
Description of fields
Field
Type
Description
Header parameters
x-api-public-keystringOptional
Public API-key
x-api-signaturestringOptional
Signing the request body with a private API-key
Content-typestringOptionalExample:
Request content type
application/jsonBody
Request body for receiving the last transaction of an address. You only need to specify one parameter: id or address
idstringRequiredExample:
Address ID. Required, if 'address' was not provided
970e18a9-42eb-4a83-833d-818ad0116adfaddressstringRequiredExample:
Blockchain address. Required, if 'id' was not provided
0x00000005707Bf50EfA35a2db020eDe9Ac0780b9fResponses
200Success
application/json
Successful response
successbooleanRequired
Request success indicator
post/api-gateway/addresses/last-transaction
POST /api-gateway/addresses/last-transaction HTTP/1.1
Host: ocp.onchainpay.io
Content-Type: application/json
Accept: */*
Content-Length: 100
{
"id": "970e18a9-42eb-4a83-833d-818ad0116adf",
"address": "0x00000005707Bf50EfA35a2db020eDe9Ac0780b9f"
}200Success
{
"success": true,
"response": {
"id": "d37bf997-3c78-4400-97eb-8951ad47ab20",
"status": "processed",
"type": "deposit",
"currency": "USDT",
"network": "ethereum",
"addressFrom": "0x1AFfB0a96FBefAa97dCe488DfD97512346cf3Ab8",
"addressTo": "0x00000005707Bf50EfA35a2db020eDe9Ac0780b9f",
"amount": "12.99",
"tx": "0x2a6113054f5b4fbcdbb5fa128815bf07ce355021165b13c616545438a0fda3ca",
"feeCurrency": null,
"feeAmount": null,
"feeAmountUSD": null,
"withdrawalId": null,
"orphanDepositId": null,
"createdAt": "2026-01-29T11:14:13.648Z"
}
}Last updated